Subject: Re: [lisp] Judging Consensus on the UDP Checksum Issue

From: [email-masked] (Noel Chiappa)
Date: Thu, 13 Aug 2009 09:23:51 -0400 (EDT)

> From: Lars Eggert <[email-masked]>

    > In my opinion, any change from the MUST in RFC2460 requires updating
    > RFC2460.

Pfui. Let's define a new protocol, the 'LISP IPv6 User-Data Carriage
Protocol'. It will be used _only_ between xTRs.

To avoid allocating a new protocol number, it shares the protocol number with
UDPv6, and can be distinguished from that protocol by the fact that the
checksum field is _always_ zero.

Should any LIUDCP packets somehow escape, and make their way to a non-xTR
node, the zero checksum will cause them to be dropped - a nice side-benefit
of that encoding technique.

	Noel